Subject: RE: [Ipoverib] moving forward

From: "Larsen, Roy K" <[email-masked]>
Date: Fri, 31 May 2002 10:22:37 -0700

Jerry,

I think the encapsulation draft is in good shape.  The only remaining
clarification I would like to see is explicit memory layout in those figures
containing more than one byte.  For example, in figure 3, is the Reserved
byte MSB or LSB?  I have been assuming it has been MSB->LSB but that isn't
true for figure 2.  Do we also need to make an explicit statement about
endian-ness for multi-byte values?

WRT multicast, I don't think we have much choice other than to proceed as
you suggest.  For those that want to make forward progress in development
until conformant CAs and SMs are available, we can temporarily equate
multicast to broadcast.

Roy

-----Original Message-----
From: H.K. Jerry Chu [mailto:[email-masked]]
Sent: Wednesday, May 29, 2002 9:32 PM
To: [email-masked]
Subject: [Ipoverib] moving forward

For the past month or so IBTA has been working on resolving
a number of multicast related IB issues (summarized below)
that affect how IPoIB operates.

1. a "join-to-send" operation that is required for a multicast
sender that is not already a member of the target multicast
group.

2. a facility to enable an IB client (e.g. the IPoIB driver) to
be notified when a new IB multicast group is created, or an
existing one is deleted.

3. a facility to allow the software emulation of the promiscuous
multicast mode.

From what I heard recently progress has been made in IBTA and
changes are likely to be included in the upcoming IBA 1.1 spec.
But unfortunately, the 1.1 spec won't be out until September.

In order for us to make forward progress, I'd suggest we modify
the existing drafts assuming the above changes will happen.
This way hopefully we can at least get the link/multicast and
encapsulation drafts ready for a last call. If issues remain
after the IBA 1.1 spec is published, we can either amend the
drafts, or deal with them in a separate draft.

Vivek and I have revised and published the encapsulation draft
based on the WG consensus of 4/9/02. We'll do the same to the
link and multicast draft. If all possible, Bill and I like to
move at least these two drafts (and possibly the DHCP draft) to
a WG last call before next IETF meeting. So please scrutinize
them now. This is your last chance.

If you have any issue or suggestion regarding the above please
let Bill and I know asap.

Also Sean Harnedy has submitted four drafts in the MIB area.
(Thanks, Sean!) Please comment.

BTW, if you plan to present in IETF/Yokohama, please let us
know. The dates for various deadlines are included below.
Note the deadline for draft submission.

Bill and Jerry
IPoIB co-chairs

---------------------------------------------------------
April 15 - Working Group and BOF scheduling begins
April 18 - Registration opens
April 23 - Hotel Accommodation Information
June 21 - Working Group and BOF scheduling closes at 17:00 ET
June 24 - Internet Draft Cut-off for initial document (-00) submission at
09:00 
ET
July 1 - Internet Draft final submission cut-off at 09:00 ET
July 1 - Pre-registration and Pre-payment cut-off at 12:00 noon ET
July 8 - Registration cancellation cut-off at 17:00 ET
July 10 - Working Group agendas due at 12:00 noon ET
July 14-19 - 54th IETF Meeting in Yokohama, Japan
August 15 - Proceedings submission cutoff by 17:00 ET

_______________________________________________
IPoverIB mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipoverib

_______________________________________________
IPoverIB mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipoverib